<?php

// requires a json body with a property called $s_requestDeleteTraceLogOlderThanMinutes which must be an number
//  if this is 0 - delete all trace logs
//  if this is -x delete no trace logs
//  if this is X>0 delete old trace logs that are older than X minutes

//the request also requires a $s_requestStaticSecret to be set equal to the configures $s_requestStaticSecret in the config


//NOTE: only post is allowed!!



$config = require __DIR__.'/../bootstrap.php';

require_once __DIR__.'/../constants.php';


require_once __DIR__.'/../transactionHelper.php';

require_once __DIR__.'/../helpers.php';


$entityBody = file_get_contents('php://input');

$body = json_decode($entityBody, TRUE);

if ($body === NULL) {
    output($status_code_ArgumentInvalidOrMissing, "could not decode request body");
    exit(1);
}


if (!isset($body[$s_requestDeleteTraceLogOlderThanMinutes])) {
    output($status_code_ArgumentInvalidOrMissing, "argument '" . $s_requestDeleteTraceLogOlderThanMinutes . "' missing");
    exit(1);
}

$deleteTraceLogOlderThanMinutes = $body[$s_requestDeleteTraceLogOlderThanMinutes];

if (is_numeric($deleteTraceLogOlderThanMinutes) === FALSE) {
    output($status_code_InternalServerError, $s_requestDeleteTraceLogOlderThanMinutes . "was not numeric");
    exit(1);
}


$conn = connectToDb($config['dbServer'], $config['dbName'], $config['dbUser'], $config['dbPw']);

if ($conn === NULL) {
    output($status_code_DbIssue, 'could not connect to db');
    exit(1);
}


removeOldTraceLogs($conn, $config, $deleteTraceLogOlderThanMinutes);


output($status_code_Ok, "", null);
